Arch AchsenSystem

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch AxisSystem and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Axis.svg Achse Vorherige:
Nächste: Gitter Arch Grid.svg Arrow-right.svg

Arch Axis System.svg Arch AchsenSystem

Menüeintrag
Arch → Achsen System
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch Achse, Arch Gitter


Beschreibung

Das AchsenSystem Werkzeug ermöglicht dir zwei oder drei AchsenSystem Objekte zu kombinieren.

Dies ist nützlich, um die Schnittpunkte zwischen den verschiedenen Achsen zu definieren.Arch Objekte können dann dieses System verwenden, um ihre Form an den verschiedenen Schnittpunkten zu duplizieren.

Arch AxisSystem example.jpg

Drei Arch Achsen Objekte zu einem Arch AchsenSystem zusammengefasst. Ein Arch Struktur Objekt verwendet dieses System als seine DataAchsen Eigenschaft, um seine Form an jedem Schnittpunkt zu duplizieren.


Anwendung

  1. Wähle wahlweise die ArchAchse Objekte aus, die du in dieses System aufnehmen möchtest.
  2. Drücke die Arch Axis System.svg Arch AchsenSystem Schaltfläche.
  3. Rechtsklicke auf das neu erstellte Achsensystem Objekt in der Baumansicht, um die in diesem System enthaltenen Arch Achsen Objekte hinzuzufügen/zu bearbeiten.
  4. Wähle eine vorhandene Arch Achse und drücke Arch Add.svg Arch hinzufügen or Arch Remove.svg Arch entfernene Schaltflächen um es zu diesem System hinzuzufügen oder zu entfernen.
  5. Lege die DataAchse Eigenschaft eines beliebigen Arch Objekts so fest, dass es auf dieses System zeigt, damit seine Form auf die Schnittpunkte dieses Systems dupliziert wird.

Optionen

  • Ein gleiches Arch Achsen Objekt kann Teil von mehr als einem System sein.
  • Jedes formbasierte Objekt kann auch als Achse Eigenschaft von Arch Objekten verwendet werden. In diesem Fall wird die Objektform entlang der Knoten des Achsen Objekts dupliziert.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Versatzwerkzeug kann in Makros und von der Python Konsole aus verwendet werden, indem die folgende Funktion verwendet wird:

AxisSystem = makeAxisSystem(axes, name="Axis System")
  • Erstellt ein AchsenSystem Objekt aus den gegebenen Achsen, das eine einzelne Arch Achsen oder eine Liste von ihnen ist.

Beispiel:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Axis.svg Achse Vorherige:
Nächste: Gitter Arch Grid.svg Arrow-right.svg